API Documentation: ARIA APIs

1. Get Members List

This API returns a list of members based on the provided search parameters. The list can be filtered by various fields such as city, product_services, ria_since, full_name, ria_name, locality and pincode.

Endpoint

GET /wp-json/api/get-members-list

Request Parameters

Authorization: Bearer <api_key> (Required)

page: The page number to fetch (Optional, If page Parameter is blank then fetch all data )

city: Filter by city (Optional)

product_services: Filter by product services (Optional), pass comma separated values on it.

ria_since: Filter by ria since (Optional)

full_name: Filter by full name (Optional)

ria_name: Filter by ria name (Optional)

locality: Filter by locality (Optional)

pincode: Filter by pincode (Optional)

Response Format

{ "message": "Data Fetched Successfully.", "data": [ { "id": 123, "first_name": "John", "last_name": "Doe", "email": "john.doe@example.com", "member_category": "non-individual", "country_code": "91", "mobile_number": "9000000000", "website_url": "https://www.xyz.com", "avatar": "https://aria.org.in/wp-content/uploads/2024/10/Self.jpg", "user_color": "#33ee5f", "ria_name": "xyx", "facebook": "https://www.xyz.com", "instagram": "https://www.xyz.com", "twitter": "https://www.xyz.com", "linkedIn": "https://www.xyz.com", "youtube": "https://www.xyz.com" } ], "total_items": 100, "total_pages": 5 }

Example Usage

PHP (cURL)

$url = 'https://aria.org.in/wp-json/api/get-members-list?page=&city=&product_services=&ria_since=&full_name=&ria_name=&locality=&pincode='; $headers = array( 'Authorization: Bearer YOUR_API_KEY', ); $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); $response = curl_exec($ch); curl_close($ch); echo $response;

JavaScript (fetch)

fetch('https://aria.org.in/wp-json/api/get-members-list?page=&city=&product_services=&ria_since=&full_name=&ria_name=&locality=&pincode=', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }) .then(response => response.json()) .then(data => console.log(data));

cURL (Command Line)

curl -X GET "https://aria.org.in/wp-json/api/get-members-list?page=&city=&product_services=&ria_since=&full_name=&ria_name=&locality=&pincode=" \ -H "Authorization: Bearer YOUR_API_KEY"

2. Get Member Details

This API returns the details of a specific member based on the provided member ID.

Endpoint

GET /wp-json/api/get-member-details

Request Parameters

Authorization: Bearer <api_key> (Required)

id: The ID of the member whose details you want to fetch (Required)

Response Format

{ "message": "Data Fetched Successfully.", "data": { "id": 123, "first_name": "John", "last_name": "Doe", "email": "john.doe@example.com", "member_category": "non-individual", "country_code": "91", "mobile_number": "9000000000", "website_url": "https://www.xyz.com", "avatar": "https://aria.org.in/wp-content/uploads/2024/10/Self.jpg", "user_color": "#33ee5f", "ria_name": "xyx", "facebook": "https://www.xyz.com", "instagram": "https://www.xyz.com", "twitter": "https://www.xyz.com", "linkedIn": "https://www.xyz.com", "youtube": "https://www.xyz.com", "designation": "xyz", "gender": "male", "ria_since": "2018", "description": "", "product_services": "banking-products,equity,estate-planning", "address": "483 Kohinoor Colony", "city": "Indore", "pincode": "452001", "country": "India", "state": "Madhya Pradesh", "name_of_the_compliance_officer": "xyx", "name_of_the_principal_officer": "xyx", "sebi_reg_no": "INB123456XYZ", "iaasb_id": "TXT1234", "net_asset": "4", "gst_number": "09AAACH7409R1XY", "revenue_model": "%-age of AuA only", "practice_model": "Fintech / Robo Advisory" } }

Example Usage

PHP (cURL)

$url = 'https://aria.org.in/wp-json/api/get-member-details?id=123'; $headers = array( 'Authorization: Bearer YOUR_API_KEY', ); $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); $response = curl_exec($ch); curl_close($ch); echo $response;

JavaScript (fetch)

fetch('https://aria.org.in/wp-json/api/get-member-details?id=123', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }) .then(response => response.json()) .then(data => console.log(data));

cURL (Command Line)

curl -X GET "https://aria.org.in/wp-json/api/get-member-details?id=123" \ -H "Authorization: Bearer YOUR_API_KEY"

3. Save Lead Data

This API allows storing lead data and sends a notification to the respective user.

Endpoint

POST /wp-json/api/save-lead-data

Request Parameters

Authorization: Bearer <api_key> (Required)

id: The ID of the user (Required)

first_name: First name of the lead (Required)

last_name: Last name of the lead (Required)

mobile_number: Mobile number of the lead (Required)

email: Email address of the lead (Required)

Response Format

{ "message": "Lead data saved successfully.", "mobile_number": "1234567890" }

Example Usage

PHP (cURL)

$url = 'https://aria.org.in/wp-json/api/save-lead-data'; $headers = array( 'Authorization: Bearer YOUR_API_KEY', 'Content-Type: application/json' ); $data = array( "id" => 123, "first_name" => "John", "last_name" => "Doe", "mobile_number" => "1234567890", "email" => "john.doe@example.com" ); $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_POST, true); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data)); $response = curl_exec($ch); curl_close($ch); echo $response;

JavaScript (fetch)

fetch('https://aria.org.in/wp-json/api/save-lead-data', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_API_KEY', 'Content-Type': 'application/json' }, body: JSON.stringify({ id: 123, first_name: "John", last_name: "Doe", mobile_number: "1234567890", email: "john.doe@example.com" }) }) .then(response => response.json()) .then(data => console.log(data));

cURL (Command Line)

curl -X POST "https://aria.org.in/wp-json/api/save-lead-data" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "id": 123, "first_name": "John", "last_name": "Doe", "mobile_number": "1234567890", "email": "john.doe@example.com" }'

4. Get Product and Service List

This API retrieves a list of all available products and services.

Endpoint

GET /wp-json/api/get-product-service-list

Request Parameters

Authorization: Bearer <api_key> (Required)

Response Format

{ "message": "Product and service list fetched successfully.", "data": [ { "name": "Service A", "slug-id": "service-a" }, { "name": "Product B", "slug-id": "product-b" } ] }

Example Usage

PHP (cURL)

$url = 'https://aria.org.in/wp-json/api/get-product-service-list'; $headers = array( 'Authorization: Bearer YOUR_API_KEY' ); $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); $response = curl_exec($ch); curl_close($ch); echo $response;

JavaScript (fetch)

fetch('https://aria.org.in/wp-json/api/get-product-service-list', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }) .then(response => response.json()) .then(data => console.log(data));

cURL (Command Line)

curl -X GET "https://aria.org.in/wp-json/api/get-product-service-list" \ -H "Authorization: Bearer YOUR_API_KEY"